﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace USAMobileMask_C1TB
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //use edit mask
            c1TextBox1.EditMask = "+1 (000) 000-0000";

            c1TextBox1.PreValidation.Validation = C1.Win.C1Input.PreValidationTypeEnum.PreValidatingEvent;
            c1TextBox1.PreValidating += C1TextBox1_PreValidating;

            //will reset the value and lose focus on error
            c1TextBox1.ErrorInfo.ErrorAction = C1.Win.C1Input.ErrorActionEnum.ResetValue;
            c1TextBox1.ErrorInfo.CanLoseFocus = true;
            c1TextBox1.ErrorInfo.ShowErrorMessage = false;
        }

        private void C1TextBox1_PreValidating(object sender, C1.Win.C1Input.PreValidationEventArgs e)
        {
            var text = c1TextBox1.MaskInfo.Content;

            //if the content matches the invalid conditions
            if (text[0] == '0' || text[0] == '1' || text[1] == '9' || text[1] == text[2])
            {
                //set to false and can also provide error
                e.Succeeded = false;
                c1SuperErrorProvider1.SetError(c1TextBox1, "invalid");
            }
            else 
            {
                //else set to true and remove the error
                e.Succeeded = true;
                c1SuperErrorProvider1.SetError(c1TextBox1, string.Empty);
            }
        }
    }
}
